CREATE OR REPLACE PROCEDURE ADD_CAT_CIRUGIA_PROCE
(COSTOCIRUGIA IN NUMBER,NOMBRECIRU IN VARCHAR2,PROC_CIRU IN VARCHAR2,TIPOCIRU IN VARCHAR2) IS
BEGIN
    INSERT INTO CATALOGOCIRUGIA (COSTO_CIRUGIA,NOMBRE_CIRU,PROCEDIEMIENTO_CIRU,TIPO_CIRU)
    VALUES (COSTOCIRUGIA,NOMBRECIRU,PROC_CIRU,TIPOCIRU);
END;

CREATE SEQUENCE CAT_CIRUGIA_SEQUENCE
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;

create or replace trigger CAT_CIRUGIA_TRIGGER  
   before insert on "CLINICA"."CATALOGOCIRUGIA" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_CAT_CIRU" is null then 
         select CAT_CIRUGIA_SEQUENCE.nextval into :NEW."ID_CAT_CIRU" from dual; 
      end if; 
   end if; 
end;
